Author Topic: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...  (Read 1316 times)

0 Members and 1 Guest are viewing this topic.

Offline kenCode

  • Hero Member
  • *****
  • Posts: 2240
    • View Profile
    • Agorise
Hey guys, any chance you cold help me sync up. It's stuck on a block from 2 days ago. I just bought another $100 worth of BTS tooo, but it won't show in the bts client till it syncs.
 
>> get_info

{
  "blockchain_head_block_num": 2074788,
  "blockchain_head_block_age": "47 hours old",
  "blockchain_head_block_timestamp": "2015-03-23T15:18:20",
  "blockchain_average_delegate_participation": "0.41 %",
  "blockchain_confirmation_requirement": 303,
  "blockchain_share_supply": "2,504,392,718.42236 BTS",
  "blockchain_blocks_left_in_round": 55,
  "blockchain_next_round_time": "at least 9 minutes in the future",
  "blockchain_next_round_timestamp": "2015-03-25T14:18:00",
  "blockchain_random_seed": "1267c45154d38d60fbfc848d0fd2245576b16cb9",
  "client_data_dir": "/home/mama/.BitShares",
  "client_version": "0.6.1",
  "network_num_connections": 7,
  "network_num_connections_max": 200,
  "network_chain_downloader_running": false,
  "network_chain_downloader_blocks_remaining": null,
  "ntp_time": "2015-03-25T14:08:54",
  "ntp_time_error": 0.32681399999999999,
  "wallet_open": true,
  "wallet_unlocked": true,
  "wallet_unlocked_until": "12 days in the future",
  "wallet_unlocked_until_timestamp": "2015-04-06T03:38:31",
  "wallet_last_scanned_block_timestamp": "2015-03-23T08:00:40",
  "wallet_scan_progress": "100.00 %",
  "wallet_block_production_enabled": false,
  "wallet_next_block_production_time": null,
  "wallet_next_block_production_timestamp": null
}
 
It's 7 connections right now, won't go any higher. Should I use the console to add more connections or something?
I'd rather not upgrade till 0.10.0 is out next month.
lmk, please and thanx :)
  -ken
kenCode - Decentraliser @ Agorise
Telegram: https://t.me/Agorise - Github: https://github.com/Agorise

Offline chryspano

  • Hero Member
  • *****
  • Posts: 610
    • View Profile
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #1 on: March 25, 2015, 02:43:04 pm »
You will have to upgrade to at least 0.8.0 (its a mandatory upgrade) older versions will not work.

Offline pc

  • Hero Member
  • *****
  • Posts: 1521
    • View Profile
    • Bitcoin - Perspektive oder Risiko?
  • BitShares: cyrano
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #2 on: March 25, 2015, 02:43:19 pm »
You can't use 0.6.x anymore. Due to the changes in the market engine in 0.7 and 0.8 your client will arrive at a different market state than the other delegates after applying transactions, and at some point it will get stuck because processing new transactions with that invalid state will no longer be possible.
Please upgrade.
Bitcoin - Perspektive oder Risiko? ISBN 978-3-8442-6568-2 http://bitcoin.quisquis.de

Offline kenCode

  • Hero Member
  • *****
  • Posts: 2240
    • View Profile
    • Agorise
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #3 on: March 25, 2015, 02:45:50 pm »
You can't use 0.6.x anymore. Due to the changes in the market engine in 0.7 and 0.8 your client will arrive at a different market state than the other delegates after applying transactions, and at some point it will get stuck because processing new transactions with that invalid state will no longer be possible.
Please upgrade.

Ok, when I install the new version, it will sync up and download my balances, right?
I'm just nervous.. I've got some decent balances in there now...
 
Thanx in advance for confirmation on this..
 
Also, where do I download 0.8.1 (rather than 0.8.0)??
kenCode - Decentraliser @ Agorise
Telegram: https://t.me/Agorise - Github: https://github.com/Agorise

Offline xeroc

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 12896
  • ChainSquad GmbH
    • View Profile
    • ChainSquad GmbH
  • BitShares: xeroc
  • GitHub: xeroc
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #4 on: March 25, 2015, 02:52:51 pm »
Ok, when I install the new version, it will sync up and download my balances, right?
I'm just nervous.. I've got some decent balances in there now...

No need to get nervous .. all balances are safe.. you just need to update your local database (blockchain) to the global state :)

Quote
Thanx in advance for confirmation on this..
 
Also, where do I download 0.8.1 (rather than 0.8.0)??
https://github.com/BitShares/bitshares/releases/latest
Give BitShares a try! Use the http://testnet.bitshares.eu provided by http://bitshares.eu powered by ChainSquad GmbH

Offline fav

  • Administrator
  • Hero Member
  • *****
  • Posts: 4272
  • No Pain, No Gain
    • View Profile
    • Follow Me!
  • BitShares: fav
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #5 on: March 25, 2015, 02:54:51 pm »
Plus I backup my wallet every new version just to make sure it'll always work as an intended.
Join us on Telegram: https://t.me/btstalk

Offline kenCode

  • Hero Member
  • *****
  • Posts: 2240
    • View Profile
    • Agorise
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #6 on: March 25, 2015, 03:11:02 pm »
Cool, 0.8.0 is replaying the blockchain as we speak. im assumin it will allow me to import my older json back. lookin good so far, thanx again!
kenCode - Decentraliser @ Agorise
Telegram: https://t.me/Agorise - Github: https://github.com/Agorise

Offline xeroc

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 12896
  • ChainSquad GmbH
    • View Profile
    • ChainSquad GmbH
  • BitShares: xeroc
  • GitHub: xeroc
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #7 on: March 25, 2015, 03:43:03 pm »
Cool, 0.8.0 is replaying the blockchain as we speak. im assumin it will allow me to import my older json back. lookin good so far, thanx again!
Thee shouldnt be a need to .. it will open the existing wallet as usual ..
Give BitShares a try! Use the http://testnet.bitshares.eu provided by http://bitshares.eu powered by ChainSquad GmbH

Offline kenCode

  • Hero Member
  • *****
  • Posts: 2240
    • View Profile
    • Agorise
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #8 on: March 25, 2015, 04:24:41 pm »
Well, 0.8.0 is running, but it still won't sync:
 
>> get_info

{
  "blockchain_head_block_num": 2073989,
  "blockchain_head_block_age": "5 days old",
  "blockchain_head_block_timestamp": "2015-03-20T07:11:20",
  "blockchain_head_block_id": "66814125c2196256643d07bb0e04bfe95a31e4b9",
  "blockchain_average_delegate_participation": "0.21 %",
  "blockchain_confirmation_requirement": 301,
  "blockchain_share_supply": "2,504,374,026.46004 BTS",
  "blockchain_blocks_left_in_round": 46,
  "blockchain_next_round_time": "at least 8 minutes in the future",
  "blockchain_next_round_timestamp": "2015-03-25T16:29:20",
  "blockchain_random_seed": "112b5d40b0fe6c4af1261407a012b993f509be26",
  "client_data_dir": "/home/mama/.BitShares",
  "client_version": "0.8.0",
  "network_num_connections": 0,
  "network_num_connections_max": 200,
  "network_chain_downloader_running": false,
  "network_chain_downloader_blocks_remaining": null,
  "ntp_time": "2015-03-25T16:21:48",
  "ntp_time_error": 0.0030019999999999999,
  "wallet_open": true,
  "wallet_unlocked": true,
  "wallet_unlocked_until": "12 days in the future",
  "wallet_unlocked_until_timestamp": "2015-04-06T06:02:09",
  "wallet_last_scanned_block_timestamp": null,
  "wallet_scan_progress": "100.00 %",
  "wallet_block_production_enabled": false,
  "wallet_next_block_production_time": null,
  "wallet_next_block_production_timestamp": null
}
 
Should I delete some folders or files or something?
kenCode - Decentraliser @ Agorise
Telegram: https://t.me/Agorise - Github: https://github.com/Agorise

Offline xeroc

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 12896
  • ChainSquad GmbH
    • View Profile
    • ChainSquad GmbH
  • BitShares: xeroc
  • GitHub: xeroc
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #9 on: March 25, 2015, 04:32:29 pm »
you just wait for

  "network_num_connections": 0,

to increase
Give BitShares a try! Use the http://testnet.bitshares.eu provided by http://bitshares.eu powered by ChainSquad GmbH

Offline kenCode

  • Hero Member
  • *****
  • Posts: 2240
    • View Profile
    • Agorise
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #10 on: March 25, 2015, 04:47:58 pm »
Nope, it's still sitting at zero. It has not tried to reconnect since I posted that last get_info. Here's a fresh one:
 
>> get_info

{
  "blockchain_head_block_num": 2073989,
  "blockchain_head_block_age": "5 days old",
  "blockchain_head_block_timestamp": "2015-03-20T07:11:20",
  "blockchain_head_block_id": "66814125c2196256643d07bb0e04bfe95a31e4b9",
  "blockchain_average_delegate_participation": "0.21 %",
  "blockchain_confirmation_requirement": 301,
  "blockchain_share_supply": "2,504,374,026.46004 BTS",
  "blockchain_blocks_left_in_round": 46,
  "blockchain_next_round_time": "at least 8 minutes in the future",
  "blockchain_next_round_timestamp": "2015-03-25T16:55:10",
  "blockchain_random_seed": "112b5d40b0fe6c4af1261407a012b993f509be26",
  "client_data_dir": "/home/mama/.BitShares",
  "client_version": "0.8.0",
  "network_num_connections": 0,
  "network_num_connections_max": 200,
  "network_chain_downloader_running": false,
  "network_chain_downloader_blocks_remaining": null,
  "ntp_time": "2015-03-25T16:47:30",
  "ntp_time_error": 0.0030019999999999999,
  "wallet_open": true,
  "wallet_unlocked": true,
  "wallet_unlocked_until": "12 days in the future",
  "wallet_unlocked_until_timestamp": "2015-04-06T06:02:09",
  "wallet_last_scanned_block_timestamp": null,
  "wallet_scan_progress": "100.00 %",
  "wallet_block_production_enabled": false,
  "wallet_next_block_production_time": null,
  "wallet_next_block_production_timestamp": null
}
 
Should I delete some folders or files or something?
« Last Edit: March 25, 2015, 04:50:13 pm by kenCode »
kenCode - Decentraliser @ Agorise
Telegram: https://t.me/Agorise - Github: https://github.com/Agorise

Offline xeroc

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 12896
  • ChainSquad GmbH
    • View Profile
    • ChainSquad GmbH
  • BitShares: xeroc
  • GitHub: xeroc
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #11 on: March 25, 2015, 05:00:54 pm »
you could try delete the peers.leveldb folder
Give BitShares a try! Use the http://testnet.bitshares.eu provided by http://bitshares.eu powered by ChainSquad GmbH

Offline roselee

  • Full Member
  • ***
  • Posts: 142
    • View Profile
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #12 on: March 25, 2015, 05:04:27 pm »
i had the same problem
upgraded to 0.8.1 but that got serious network problems
so i downgraded to 0.8.0
first i thought its not working but after a while it started syncing
plus i enabled readyboost in win7 and got me more ram now my pc seems to handle the wallet

Offline kenCode

  • Hero Member
  • *****
  • Posts: 2240
    • View Profile
    • Agorise
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #13 on: March 25, 2015, 05:14:52 pm »
Well, i run linux. i deleted all the sobfolders under .bitshares except for the wallets folder. now, 0.8.0 starts up and is downloading the entire blockchain one more time so in a few hours i'll update u guys here. we need to get some stepbystep sticky notes posted for these common issues for each os. brb...
kenCode - Decentraliser @ Agorise
Telegram: https://t.me/Agorise - Github: https://github.com/Agorise

Offline fav

  • Administrator
  • Hero Member
  • *****
  • Posts: 4272
  • No Pain, No Gain
    • View Profile
    • Follow Me!
  • BitShares: fav
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #14 on: March 25, 2015, 06:36:43 pm »
Quote
If you are getting a "Not Connected" error or having trouble syncing, try the following troubleshooting procedures:
Change how many nodes your client tries to connect to and the maximum it will try to connect to by typing the following command in the console:
network_set_advanced_node_parameters {"desired_number_of_connections":50, "maximum_number_of_connections":100}
If that doesn't work, then try connecting to some nodes manually using the following commands:
network_add_node "107.170.211.129:1700" add
network_add_node "80.240.133.79:1776" add
network_add_node "188.226.195.137:60696" add
network_add_node "76.74.170.79:54200" add
network_add_node "176.9.234.166:1700" add
network_add_node "180.153.142.120:1777" add
network_add_node "162.243.220.142:1777" add
network_add_node "84.238.140.192:42577" add
network_add_node "5.101.106.138:1778" add
network_add_node "69.164.192.144:1700" add
network_add_node "192.168.0.14:1776" add
network_add_node "78.46.32.25:1776" add
network_add_node "192.168.0.12:44327" add
network_add_node "70.114.143.108:1776" add
network_add_node "106.187.91.24:38581" add
network_add_node "106.185.26.162:1981" add
network_add_node "188.138.107.159:1776" add
network_add_node "104.131.136.190:1776" add
network_add_node "95.85.33.16:8764" add
network_add_node "198.199.103.79:1776" add
network_add_node "104.131.234.136:8801" add
also, current version is 0.8.1
Join us on Telegram: https://t.me/btstalk

Offline kenCode

  • Hero Member
  • *****
  • Posts: 2240
    • View Profile
    • Agorise
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #15 on: March 25, 2015, 07:05:52 pm »
thanx favdesu. where can i download 0.8.1 for linux? i think ur thinkin of windows..
kenCode - Decentraliser @ Agorise
Telegram: https://t.me/Agorise - Github: https://github.com/Agorise

Offline vikram

Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #16 on: March 25, 2015, 07:25:20 pm »
No difference anymore between 0.8.1 and 0.8.0.

You got stuck because you synced up too far on the old version after the hardfork--you will have to resync from scratch probably. We are thinking of ways to address this for future releases.

Offline kenCode

  • Hero Member
  • *****
  • Posts: 2240
    • View Profile
    • Agorise
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #17 on: March 25, 2015, 10:17:47 pm »
Well, I'm really screwed now guys. Luckily i have a 0.6.1 backup to json file.
It will not sync, my computer just overheats and shuts off, then it tries to restart from scratch every time.
My computer is just too old for this.
I need to somehow use the web wallet with my kencode bts account.
Possible? how? i've got hundreds of euros tied up in the 0.6.1 wallet, please help me get moved over to the web wallet.
thank you,
  ken
kenCode - Decentraliser @ Agorise
Telegram: https://t.me/Agorise - Github: https://github.com/Agorise

Tuck Fheman

  • Guest
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #18 on: March 25, 2015, 10:27:34 pm »
Plus I backup my wallet every new version just to make sure it'll always work as an intended.

 +5%

Tuck Fheman

  • Guest
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #19 on: March 25, 2015, 10:30:00 pm »
you will have to resync from scratch probably.

we had to last night for the first time in a long time. nuke the chain folder and restart.

the network is still having issues however.

Offline robrigo

Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #20 on: March 26, 2015, 01:33:03 am »
Nope, it's still sitting at zero. It has not tried to reconnect since I posted that last get_info. Here's a fresh one:
 
>> get_info

{
  "blockchain_head_block_num": 2073989,
  "blockchain_head_block_age": "5 days old",
  "blockchain_head_block_timestamp": "2015-03-20T07:11:20",
  "blockchain_head_block_id": "66814125c2196256643d07bb0e04bfe95a31e4b9",
  "blockchain_average_delegate_participation": "0.21 %",
  "blockchain_confirmation_requirement": 301,
  "blockchain_share_supply": "2,504,374,026.46004 BTS",
  "blockchain_blocks_left_in_round": 46,
  "blockchain_next_round_time": "at least 8 minutes in the future",
  "blockchain_next_round_timestamp": "2015-03-25T16:55:10",
  "blockchain_random_seed": "112b5d40b0fe6c4af1261407a012b993f509be26",
  "client_data_dir": "/home/mama/.BitShares",
  "client_version": "0.8.0",
  "network_num_connections": 0,
  "network_num_connections_max": 200,
  "network_chain_downloader_running": false,
  "network_chain_downloader_blocks_remaining": null,
  "ntp_time": "2015-03-25T16:47:30",
  "ntp_time_error": 0.0030019999999999999,
  "wallet_open": true,
  "wallet_unlocked": true,
  "wallet_unlocked_until": "12 days in the future",
  "wallet_unlocked_until_timestamp": "2015-04-06T06:02:09",
  "wallet_last_scanned_block_timestamp": null,
  "wallet_scan_progress": "100.00 %",
  "wallet_block_production_enabled": false,
  "wallet_next_block_production_time": null,
  "wallet_next_block_production_timestamp": null
}
 
Should I delete some folders or files or something?

The low blockchain_average_delegate_participation indicates that your chain has diverged from the main fork. I think a good way to fix this for now is to move your chain folder out of the bitshares app data folder and let it rebuild when you restart the client. There are also flags you can pass to the bitshares_client executable on the CLI that are supposed to work for achieving this:

--resync-blockchain


Offline fav

  • Administrator
  • Hero Member
  • *****
  • Posts: 4272
  • No Pain, No Gain
    • View Profile
    • Follow Me!
  • BitShares: fav
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #21 on: March 26, 2015, 07:34:44 am »
thanx favdesu. where can i download 0.8.1 for linux? i think ur thinkin of windows..

https://github.com/BitShares/bitshares/releases save this link please, it's essential.
Join us on Telegram: https://t.me/btstalk

Offline kenCode

  • Hero Member
  • *****
  • Posts: 2240
    • View Profile
    • Agorise
Re: Still running v0.6.1, don't want to upgrade till 0.10.0, BUT...
« Reply #22 on: March 26, 2015, 09:43:18 am »
Well, I'm really screwed now guys. Luckily i have a 0.6.1 backup to json file.
It will not sync, my computer just overheats and shuts off, then it tries to restart from scratch every time.
I need to somehow use the web wallet with my kencode bts account.
Possible? how? please help me get moved over to the web wallet.
thank you,
  ken
kenCode - Decentraliser @ Agorise
Telegram: https://t.me/Agorise - Github: https://github.com/Agorise